Maintenance

From ImageWiki

(Difference between revisions)
Jump to: navigation, search
(New page: This list contains various notes for maintenance on the systems. * image.diku.dk * 2009/06/18 sporring: Had to fix /kreds/wiki due to bug: Warning: require_once(./LocalSettings.php) [func...)
Line 1: Line 1:
This list contains various notes for maintenance on the systems.
This list contains various notes for maintenance on the systems.
-
* image.diku.dk
+
=image.diku.dk=
* 2009/06/18 sporring: Had to fix /kreds/wiki due to bug:
* 2009/06/18 sporring: Had to fix /kreds/wiki due to bug:
 +
<pre>
Warning: require_once(./LocalSettings.php) [function.require-once]: failed to open stream: Permission denied in /var/www/localhost/htdocs/kreds/wiki/includes/WebStart.php on line 86
Warning: require_once(./LocalSettings.php) [function.require-once]: failed to open stream: Permission denied in /var/www/localhost/htdocs/kreds/wiki/includes/WebStart.php on line 86
Fatal error: require_once() [function.require]: Failed opening required './LocalSettings.php' (include_path='.:/usr/share/php5:/usr/share/php') in /var/www/localhost/htdocs/kreds/wiki/includes/WebStart.php on line 86
Fatal error: require_once() [function.require]: Failed opening required './LocalSettings.php' (include_path='.:/usr/share/php5:/usr/share/php') in /var/www/localhost/htdocs/kreds/wiki/includes/WebStart.php on line 86
 +
</pre>
I upgraded the system in two steps:
I upgraded the system in two steps:
 +
<pre>
webapp-config -U -d /kreds/wiki mediawiki 1.11.2
webapp-config -U -d /kreds/wiki mediawiki 1.11.2
php kreds/wiki/maintanance/update.php
php kreds/wiki/maintanance/update.php
Line 15: Line 18:
webapp-config -U -d /kreds/wiki mediawiki 1.14.0
webapp-config -U -d /kreds/wiki mediawiki 1.14.0
php kreds/wiki/maintanance/update.php
php kreds/wiki/maintanance/update.php
 +
</pre>
but this did not solve the problem.  It turns out, that /kreds/wiki/LocalSettings.php needs to have read-rights for all, so I
but this did not solve the problem.  It turns out, that /kreds/wiki/LocalSettings.php needs to have read-rights for all, so I
 +
<pre>
chmod a+r kreds/wiki/LocalSettings.php
chmod a+r kreds/wiki/LocalSettings.php
 +
</pre>
Keep an eye out for upgrade-bugs.
Keep an eye out for upgrade-bugs.

Revision as of 07:39, 18 June 2009

This list contains various notes for maintenance on the systems.

image.diku.dk

  • 2009/06/18 sporring: Had to fix /kreds/wiki due to bug:
Warning: require_once(./LocalSettings.php) [function.require-once]: failed to open stream: Permission denied in /var/www/localhost/htdocs/kreds/wiki/includes/WebStart.php on line 86

Fatal error: require_once() [function.require]: Failed opening required './LocalSettings.php' (include_path='.:/usr/share/php5:/usr/share/php') in /var/www/localhost/htdocs/kreds/wiki/includes/WebStart.php on line 86

I upgraded the system in two steps:

webapp-config -U -d /kreds/wiki mediawiki 1.11.2
php kreds/wiki/maintanance/update.php
webapp-config -U -d /kreds/wiki mediawiki 1.13.3
php kreds/wiki/maintanance/update.php
webapp-config -U -d /kreds/wiki mediawiki 1.14.0
php kreds/wiki/maintanance/update.php

but this did not solve the problem. It turns out, that /kreds/wiki/LocalSettings.php needs to have read-rights for all, so I

chmod a+r kreds/wiki/LocalSettings.php

Keep an eye out for upgrade-bugs.

Personal tools